document.addEventListener('DOMContentLoaded', function() {
  const hero = document.querySelector('.hero');
  const heroContent = document.querySelector('.hero-content');

  hero.addEventListener('mousemove', function(e) {
    const xAxis = (window.innerWidth / 2 - e.pageX) / 25;
    const yAxis = (window.innerHeight / 2 - e.pageY) / 25;
    heroContent.style.transform = `translate(${xAxis}px, ${yAxis}px)`;
  });

  hero.addEventListener('mouseleave', function() {
    heroContent.style.transform = 'translate(0, 0)';
  });
});